package com.ruoyi.system.mq;

import org.slf4j.LoggerFactory;
import java.time.LocalDateTime;
import org.springframework.amqp.AmqpException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.amqp.core.AmqpTemplate;
import org.slf4j.Logger;
import org.springframework.stereotype.Component;

@Component
public class ServerTaskSender
{
    private static final Logger log;
    @Autowired
    private AmqpTemplate amqpTemplate;
    
    public void sendOrderMessage(final Long taskId) {
        ServerTaskSender.log.info("===============发起服务器任务异步执行====================");
        try {
            this.amqpTemplate.convertAndSend("server.task.exchange", "server.task.routingkey", (Object)taskId);
        }
        catch (final AmqpException e) {
            ServerTaskSender.log.error("发起服务器任务异步执行 异常{},{}", this.getClass(), e);
        }
        ServerTaskSender.log.info("\n发送时间:" + LocalDateTime.now() + "\n发送内容: taskId = " + taskId);
    }
    
    static {
        log = LoggerFactory.getLogger(ServerTaskSender.class);
    }
}
